JavaScript
import Surge from '@surgeapi/node';
const client = new Surge({
apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const user of client.users.list('acct_01j9a43avnfqzbjfch6pygv1td')) {
console.log(user.id);
}import os
from surge import Surge
client = Surge(
api_key=os.environ.get("SURGE_API_KEY"), # This is the default and can be omitted
)
page = client.users.list(
account_id="acct_01j9a43avnfqzbjfch6pygv1td",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/surge-go"
"github.com/stainless-sdks/surge-go/option"
)
func main() {
client := surge.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Users.List(
context.TODO(),
"acct_01j9a43avnfqzbjfch6pygv1td",
surge.UserListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
require "surge_api"
surge = SurgeAPI::Client.new(api_key: "My API Key")
page = surge.users.list("acct_01j9a43avnfqzbjfch6pygv1td")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Surge\Client;
use Surge\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('SURGE_API_KEY') ?: 'My API Key');
try {
$page = $client->users->list(
'acct_01j9a43avnfqzbjfch6pygv1td', after: 'after', before: 'before'
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}curl --request GET \
--url https://api.surge.app/accounts/{account_id}/users \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.get("https://api.surge.app/accounts/{account_id}/users")
.header("Authorization", "Bearer <token>")
.asString();{
"data": [
{
"first_name": "Brian",
"id": "usr_01j9dwavghe1ttppewekjjkfrx",
"last_name": "O'Conner",
"metadata": {
"email": "boconner@toretti.family",
"user_id": "1234"
},
"photo_url": "https://toretti.family/people/brian.jpg"
}
],
"pagination": {
"next_cursor": "g3QAAAABZAACaWRtAAAAGnBuXzAxamtzY2s5eDdkeW0wZnBxZjdjYmRyeQ==",
"previous_cursor": null
}
}{
"error": {
"message": "The requested resource could not be found.",
"type": "not_found"
}
}Users
List users
List all users provisioned under an account with cursor-based pagination.
GET
/
accounts
/
{account_id}
/
users
JavaScript
import Surge from '@surgeapi/node';
const client = new Surge({
apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const user of client.users.list('acct_01j9a43avnfqzbjfch6pygv1td')) {
console.log(user.id);
}import os
from surge import Surge
client = Surge(
api_key=os.environ.get("SURGE_API_KEY"), # This is the default and can be omitted
)
page = client.users.list(
account_id="acct_01j9a43avnfqzbjfch6pygv1td",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/surge-go"
"github.com/stainless-sdks/surge-go/option"
)
func main() {
client := surge.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Users.List(
context.TODO(),
"acct_01j9a43avnfqzbjfch6pygv1td",
surge.UserListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
require "surge_api"
surge = SurgeAPI::Client.new(api_key: "My API Key")
page = surge.users.list("acct_01j9a43avnfqzbjfch6pygv1td")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Surge\Client;
use Surge\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('SURGE_API_KEY') ?: 'My API Key');
try {
$page = $client->users->list(
'acct_01j9a43avnfqzbjfch6pygv1td', after: 'after', before: 'before'
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}curl --request GET \
--url https://api.surge.app/accounts/{account_id}/users \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.get("https://api.surge.app/accounts/{account_id}/users")
.header("Authorization", "Bearer <token>")
.asString();{
"data": [
{
"first_name": "Brian",
"id": "usr_01j9dwavghe1ttppewekjjkfrx",
"last_name": "O'Conner",
"metadata": {
"email": "boconner@toretti.family",
"user_id": "1234"
},
"photo_url": "https://toretti.family/people/brian.jpg"
}
],
"pagination": {
"next_cursor": "g3QAAAABZAACaWRtAAAAGnBuXzAxamtzY2s5eDdkeW0wZnBxZjdjYmRyeQ==",
"previous_cursor": null
}
}{
"error": {
"message": "The requested resource could not be found.",
"type": "not_found"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The account ID to list users for.
Example:
"acct_01j9a43avnfqzbjfch6pygv1td"
Query Parameters
Cursor for forward pagination. Use the next_cursor from a previous response.
Cursor for backward pagination. Use the previous_cursor from a previous response.
Response
List of users
⌘I